nbooleans.h File Reference

Provides various types that extend the standard boolean. More...

`#include <iostream>`
`#include "regina-core.h"`

## Classes

class | regina::NTriBool
| A three-way extension of the boolean type. More...
class | regina::NTriBool_Illegal_Integer_Conversion
| An exception thrown when an illegal integer conversion is attempted with NTriBool. More...
class | regina::NBoolSet
| A set of booleans. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Functions

REGINA_API std::ostream & | regina::operator<< (std::ostream &out, const NTriBool &set)
| Writes the given three-way boolean to the given output stream. More...
REGINA_API std::ostream & | regina::operator<< (std::ostream &out, const NBoolSet &set)
| Writes the given boolean set to the given output stream. More...

## Detailed Description

Provides various types that extend the standard boolean.

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).